set2key {data.table} | R Documentation

## Deprecated.

### Description

These functions are deprecated. They will be removed in future. Please use the functions in `setkey`.

### Usage

    set2key(...)      #  DEPRECATED; helpful error since May 2018 and warning since Nov 2016
    set2keyv(...)     #  DEPRECATED; helpful error since May 2018 and warning since Nov 2016
    key2(...)         #  DEPRECATED; helpful error since May 2018 and warning since Nov 2016
    key(x) <- value   #  warning since 2012; DEPRECATED since Mar 2019

### Arguments

`...` | Deprecated.
`x` | Deprecated.
`value` | Deprecated.

[Package data.table version 1.12.2 Index]